Draft: Scala

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Scale and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Downgrade.svg Declassa Pagina precedente:
Pagina successiva: Modifica Draft Edit.svg Arrow-right.svg

Draft Scale.svg Scala

Posizione nel menu
Draft → Scala
Ambiente
Draft, Architettura
Avvio veloce
S C
Introdotto nella versione
-
Vedere anche
Clona, Offset

Descrizione

Lo strumento Draft Scale.svg Scala ridimensiona o copia gli oggetti selezionati attorno a un punto base.

Questo strumento può essere utilizzato su forme 2D create con Workbench Draft.svg Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Workbench Part.svg Part o Workbench PartDesign.svg PartDesign.

Draft Scale example.png

Ridimensionamento di un oggetto da un punto di riferimento a un secondo punto

Utilizzo

See also: Draft Snap and Draft Constrain.

  1. Selezionare gli oggetti che si desidera scalare
  2. Premere il pulsante Draft Scale.svg Scala, o premere i tasti S quindi C. Se nessun oggetto è selezionato, si viene invitati a selezionarne uno.
  3. Fare clic su un primo punto nella vista 3D o digitare le coordinate e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo serve come punto base dell'operazione.
  4. Impostare i fattori X, Y e Z e le opzioni appropriate, quindi premere Invio o OK per completare l'operazione.

Opzioni

First task panel

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

  • To manually enter the coordinates for the base point enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • The remaining checkboxes in this task panel are ignore by the command.
  • Press S to switch Draft snapping on or off.
  • Press the Close button to abort the command.

Second task panel

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg aggiungi punto quando si hanno i valori desiderati per inserire il punto.
  • Inserire i fattori X, Y e Z per definire il ridimensionamento lungo tali direzione.
    • Fare clic sulla casella di controllo "Scalatura uniforme" per bloccare i fattori X, Y e Z sullo stesso valore.
    • Fare clic sulla casella di controllo "Orientamento del piano di lavoro" per bloccare il ridimensionamento X, Y e Z lungo il corrente piano di lavoro; altrimenti, vengono utilizzate le direzioni globali X, Y e Z.
  • Tre opzioni controllano il risultato dell'operazione di ridimensionamento:
    • Crea un clone. Viene creato un Clone dell'oggetto originale. Questo funziona per tutti i tipi di oggetto.
Nota: anche se i fattori di scala vengono lasciati ai valori predefiniti (1.0, 1.0, 1.0), un clone può essere modificato manualmente editando i fattori nell'editor delle proprietà.
  • Modifica l'originale. Modifica le dimensioni dell'oggetto originale. Funziona solo con oggetti Draft e forme di Part non parametriche.
  • Crea una copia. Viene creata una copia ridimensionata dell'oggetto originale. Questo funziona per tutti i tipi di oggetto, ma solo le copie degli oggetti Draft sono parametriche.
Nota: una copia è un oggetto completamente diverso, indipendente dalla forma originale; viene creato nella scala specificata e quindi ha il proprio set di proprietà. Invece, un Clone è collegato alla forma originale e l'unica proprietà che può essere modificata è la scala.

Notes

  • The command can also scale Image Planes, but not in clone mode.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the number of decimals used for the input of scale factors: Edit → Preferences... → Draft → General settings → General Draft Settings → Internal precision level.
  • To store and reuse the same copy mode setting across commands: Edit → Preferences... → Draft → General settings → Draft tools options → Global copy mode.
  • To reselect the base objects after copying objects: Edit → Preferences... → Draft → General settings → Draft tools options → Select base objects after copying.

Scripting

Lo strumento Scala può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

scaled_list = scale(objectslist, scale=Vector(1,1,1), center=Vector(0,0,0), copy=False)
  • Scala gli oggetti della objectslist con i fattori specificati dai componenti di delta, definiti come un FreeCAD.Vector, e usando center come punto base.
    • objectslist è un singolo oggetto o un elenco di oggetti.
  • Se copy è True vengono create delle copie invece di modificare gli oggetti originali.
  • Se legacy è True, viene utilizzata la modalità copia diretta (obsoleta), altrimenti viene eseguita una copia parametrica.
  • Viene restituita una scaledlist con gli oggetti in scala originali o con i nuovi cloni.
    • scaledlist è un singolo oggetto o un elenco di oggetti, a seconda dell'input objectslist.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

pts = [App.Vector(0, 0, 0), App.Vector(500, 500, 0), App.Vector(600, 0, 0)]
wire1 = Draft.make_wire(pts, closed=True)
doc.recompute()

scale1 = App.Vector(2.3, 0.75, 0)
wire2 = Draft.scale(wire1, scale1, copy=True)
doc.recompute()

scale2 = App.Vector(-2, -1.5, 0)
wires = Draft.scale([wire1, wire2], scale2, copy=True)
doc.recompute()


Arrow-left.svg Draft Downgrade.svg Declassa Pagina precedente:
Pagina successiva: Modifica Draft Edit.svg Arrow-right.svg